## bind 8.1.2-0.bo1

=== bin/Makefile ===
## Copyright (c) 1996 by Internet Software Consortium
##
## Permission to use, copy, modify, and distribute this software for any
## purpose with or without fee is hereby granted, provided that the above
## copyright notice and this permission notice appear in all copies.
##
## THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
## ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
## OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
## CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
## DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
## PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
## ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
## SOFTWARE.

# $Id: Makefile,v 8.17 1998/03/20 00:40:13 halley Exp $

DESTDIR=
CC= cc
SHELL= /bin/sh

CDEBUG= -g

#(net2 and its descendents)
SYSTYPE = bsdos
TOP = ..
O=o
A=a
INCL = ${TOP}/include
LIBBIND = ${TOP}/lib/libbind.${A}
LIBPORT = ${TOP}/port/libport.${A}
PORTINCL = ${TOP}/port/${SYSTYPE}/include
LEX = lex -I
YACC = yacc
SYSLIBS = -ll -lutil
PIDDIR = /var/run
DESTBIN = /usr/local/bin
DESTSBIN = /usr/local/sbin
DESTEXEC = /usr/local/libexec
DESTMAN = /usr/share/man
DESTHELP= /usr/share/misc
AR= ar cruv

LDFLAGS=

MARGS =	"SYSTYPE=${SYSTYPE}" "SHELL=${SHELL}" "A=${A}" "O=${O}" \
	"CC=${CC}" "LEX=${LEX}" "YACC=${YACC}" "CDEBUG=${CDEBUG}" \
	"SYSLIBS=${SYSLIBS}" "LDFLAGS=${LDFLAGS}" \
	"DESTDIR=${DESTDIR}" "PIDDIR=${PIDDIR}" "DESTMAN=${DESTMAN}" \
	"DESTBIN=${DESTBIN}" "DESTSBIN=${DESTSBIN}" "DESTEXEC=${DESTEXEC}" \
	"DESTLIB=${DESTLIB}" "DESTINC=${DESTINC}" "DESTETC=${DESTETC}" \
	"DESTRUN=${DESTRUN}" "DESTHELP=${DESTHELP}" \
	"RANLIB=${RANLIB}" "AR=${AR}" "ARPREF=${ARPREF}" "ARSUFF=${ARSUFF}" \
	"INCL=../${INCL}" "PORTINCL=../${PORTINCL}" \
	"LIBBIND=../${LIBBIND}" "LIBPORT=../${LIBPORT}" \
	"INSTALL=${INSTALL}" "CPPFLAGS=${CPPFLAGS}" "TOP=../${TOP}" \
	"VER=${VER}" "STRIP=${STRIP}" "PS=${PS}"

CFLAGS=	${CDEBUG} -I${PORTINCL} -I${INCL}

SUBDIRS = addr nslookup dig dnsquery host named named-xfer ndc nsupdate

all: ${SUBDIRS}

${SUBDIRS}: FRC
	@(cd $@; pwd; ${MAKE} ${MARGS})

install depend tags clean distclean::
	@for x in ${SUBDIRS}; do \
		(cd $$x; pwd; ${MAKE} ${MARGS} $@); \
	done

distclean:: clean

clean::
	rm -f *.BAK *.CKP *~ *.orig

links: FRC
	@set -e; \
	for x in $(SUBDIRS); do \
		( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
		  cp SRC/Makefile Makefile; chmod +w Makefile; \
		  $(MAKE) $(MARGS) links; \
		); \
	done

FRC:

# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.

=== host/Makefile ===
#	@(#)Makefile            e07@nikhef.nl (Eric Wassenaar) 961012

# ----------------------------------------------------------------------
# Adapt the installation directories to your local standards.
# ----------------------------------------------------------------------

# This is where the host executable will go.
DESTBIN = /usr/local/bin

# This is where the host manual page will go.
DESTMAN = /usr/local/man

BINDIR = $(DESTBIN)
MANDIR = $(DESTMAN)/man1

# ----------------------------------------------------------------------
# Special compilation options may be needed only on a few platforms.
# See also the header file port.h for portability issues.
# ----------------------------------------------------------------------

#if defined(_AIX)
SYSDEFS = -D_BSD -D_BSD_INCLUDES -U__STR__ -DBIT_ZERO_ON_LEFT
#endif
 
#if defined(SCO) && You have either OpenDeskTop 3 or OpenServer 5
SYSDEFS = -DSYSV
#endif
 
#if defined(ultrix) && You are using the default ultrix <resolv.h>
SYSDEFS = -DULTRIX_RESOLV
#endif
 
#if defined(solaris) && You do not want to use BSD compatibility mode
SYSDEFS = -DSYSV
#endif
 
#if defined(solaris) && You are using its default broken resolver library
SYSDEFS = -DNO_YP_LOOKUP
#endif

SYSDEFS =

# ----------------------------------------------------------------------
# Configuration definitions.
# See also the header file conf.h for more configuration definitions.
# ----------------------------------------------------------------------

#if defined(BIND_48) && You want to use the default bind res_send()
CONFIGDEFS = -DBIND_RES_SEND
#endif

#if defined(BIND_49) && You want to use the special host res_send()
CONFIGDEFS = -DHOST_RES_SEND
#endif

# This is the default in either case if you compile stand-alone.
CONFIGDEFS = -DHOST_RES_SEND

# ----------------------------------------------------------------------
# Include file directories.
# This program must be compiled with the same include files that
# were used to build the resolver library you are linking with.
# ----------------------------------------------------------------------

INCL = ../../include
INCL = .

COMPINCL = ../../compat/include
COMPINCL = .

INCLUDES = -I$(INCL) -I$(COMPINCL)

# ----------------------------------------------------------------------
# Compilation definitions.
# ----------------------------------------------------------------------

DEFS = $(CONFIGDEFS) $(SYSDEFS) $(INCLUDES)

COPTS =
COPTS = -O

CFLAGS = $(COPTS) $(DEFS)

# Select your favorite compiler.
CC = /usr/ucb/cc			#if defined(solaris) && BSD
CC = /bin/cc -arch m68k -arch i386	#if defined(next)
CC = /bin/cc -Olimit 1000		#if defined(ultrix)
CC = /bin/cc
CC = cc

# ----------------------------------------------------------------------
# Linking definitions.
# libresolv.a should contain the resolver library of BIND 4.8.2 or later.
# Link it in only if your default library is different.
# SCO keeps its own default resolver library inside libsocket.a
#
# lib44bsd.a contains various utility routines, and comes with BIND 4.9.*
# You may need it if you link with the 4.9.* resolver library.
#
# libnet.a contains the getnet...() getserv...() getproto...() calls.
# It is safe to leave it out and use your default library.
# With BIND 4.9.3 the getnet...() calls are in the resolver library.
# ----------------------------------------------------------------------

RES = -lsocket				#if defined(SCO) && default
RES =
RES = ../../res/libresolv.a
RES = -lresolv

COMPLIB = ../../compat/lib/lib44bsd.a
COMPLIB = -lnet
COMPLIB =

LIBS = -lsocket -lnsl			#if defined(solaris) && not BSD
LIBS =

LIBRARIES = $(COMPLIB) $(LIBS)

LDFLAGS =

# ----------------------------------------------------------------------
# Compatibility for compilation via the BIND master Makefile.
# ----------------------------------------------------------------------

# redefined by bind
CDEBUG = $(COPTS) $(CONFIGDEFS)
CDEFS = $(SYSDEFS) $(INCLUDES)
CFLAGS = $(CDEBUG) $(CDEFS)

# ----------------------------------------------------------------------
# Miscellaneous definitions.
# ----------------------------------------------------------------------

MAKE = make $(MFLAGS)

# This assumes the BSD install.
INSTALL = install -c

# Grrr
SHELL = /bin/sh

# ----------------------------------------------------------------------
# Files.
# ----------------------------------------------------------------------

PROG = host
HDRS = port.h conf.h exit.h type.h rrec.h defs.h
SRCS = host.c send.c vers.c
OBJS = host.o send.o vers.o
MANS = host.1
DOCS = RELEASE_NOTES

UTILS = nslookup mxlookup
MISCS = malloc.c

FILES = Makefile $(DOCS) $(HDRS) $(SRCS) $(MANS) $(UTILS) $(MISCS)

PACKAGE = host
TARFILE = $(PACKAGE).tar

CLEANUP = $(PROG) $(OBJS) $(TARFILE) $(TARFILE).Z

# ----------------------------------------------------------------------
# Rules for installation.
# ----------------------------------------------------------------------

all: $(PROG)

$(OBJS): $(SRCS) $(HDRS)

$(PROG): $(OBJS)
	$(CC) $(LDFLAGS) -o $(PROG) $(OBJS) $(LIBRARIES)

install: $(PROG)
	$(INSTALL) -m 755 -s $(PROG) $(BINDIR)

man: $(MANS)
	$(INSTALL) -m 444 host.1 $(MANDIR)

clean:
	rm -f $(CLEANUP) *.o a.out core

# ----------------------------------------------------------------------
# host may be called with alternative names, querytype names and "zone".
# A few frequently used abbreviations are handy.
# ----------------------------------------------------------------------

ABBREVIATIONS = a ns cname soa wks ptr hinfo mx txt	# standard
ABBREVIATIONS = mb mg mr minfo				# deprecated
ABBREVIATIONS = md mf null				# obsolete
ABBREVIATIONS = rp afsdb x25 isdn rt nsap nsap-ptr	# new
ABBREVIATIONS = sig key px gpos aaaa loc nxt srv	# very new
ABBREVIATIONS = eid nimloc atma naptr			# draft
ABBREVIATIONS = uinfo uid gid unspec			# nonstandard
ABBREVIATIONS = maila mailb any				# filters

ABBREVIATIONS = mx ns soa zone

links:
	for i in $(ABBREVIATIONS) ; do \
		(cd $(BINDIR) ; ln -s $(PROG) $$i) ; \
	done

# ----------------------------------------------------------------------
# Rules for maintenance.
# ----------------------------------------------------------------------

lint:
	lint $(DEFS) $(SRCS)

alint:
	alint $(DEFS) $(SRCS)

llint:
	lint $(DEFS) $(SRCS) #-lresolv

print:
	lpr -J $(PACKAGE) -p Makefile $(DOCS) $(HDRS) $(SRCS)

dist:
	tar cf $(TARFILE) $(FILES)
	compress $(TARFILE)

depend:
	mkdep $(DEFS) $(SRCS)

# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.

=== rblcheck-1.0/Makefile ===
# rblcheck Makefile.

# Solaris
# CC=cc
# CFLAGS=-O
# LDFLAGS=-s -lresolv

# Linux
CC=gcc
CFLAGS=-O2
LDFLAGS=-s

all: rblcheck

clean:
	-rm rblcheck

=== bin/nslookup/Makefile ===
## Copyright (c) 1996 by Internet Software Consortium
##
## Permission to use, copy, modify, and distribute this software for any
## purpose with or without fee is hereby granted, provided that the above
## copyright notice and this permission notice appear in all copies.
##
## THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
## ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
## OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
## CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
## DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
## PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
## ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
## SOFTWARE.

# $Id: Makefile,v 8.18 1997/12/03 22:55:16 halley Exp $

DESTDIR=
CC= cc
SHELL= /bin/sh

CDEBUG= -g

#(net2 and its descendents)
SYSTYPE = bsdos
TOP = ../..
INCL =  ${TOP}/include
PORTINCL = ${TOP}/port/${SYSTYPE}/include
LIBBIND = ${TOP}/lib/libbind.a
A=a
O=o
LEX = lex -I
SYSLIBS = -ll -lutil
PIDDIR = /var/run
DESTBIN = /usr/local/bin
DESTSBIN = /usr/local/sbin
DESTEXEC = /usr/local/libexec
DESTMAN = /usr/share/man
DESTHELP= /usr/share/misc
STRIP=-s

LDFLAGS=
DEFS=	-D_PATH_HELPFILE=\"${DESTDIR}${DESTHELP}/nslookup.help\"
CFLAGS=	${CDEBUG} -I${PORTINCL} -I${INCL} ${DEFS}

PROG= nslookup
CSRCS=	main.c getinfo.c debug.c send.c skip.c list.c subr.c
SRCS=	${CSRCS} commands.l
OBJS=	main.${O} getinfo.${O} debug.${O} send.${O} skip.${O} list.${O} \
	subr.${O} commands.${O}

all: ${PROG}

${PROG}: ${OBJS} ${LIBBIND} Makefile
	${CC} ${CDEBUG} ${LDFLAGS} -o ${PROG} ${OBJS} \
		${LIBBIND} ${SYSLIBS}

distclean: clean
	rm -f commands.c

clean: FRC
	rm -f ${PROG} ${OBJS} core .depend
	rm -f *.BAK *.CKP *~ *.orig
	rm -f lex.yy.c lex.yy.o

depend: ${SRCS}
	mkdep ${CPPFLAGS} -I${INCL} -I${PORTINCL} ${DEFS} ${CSRCS}

${DESTDIR}${DESTHELP}:
	mkdir -p ${DESTDIR}${DESTHELP}

${DESTDIR}${DESTBIN}:
	mkdir -p ${DESTDIR}${DESTBIN}

install: ${DESTDIR}${DESTBIN} ${DESTDIR}${DESTHELP} ${PROG}
	${INSTALL} ${STRIP} -c -m 755 ${PROG} ${DESTDIR}${DESTBIN}/${PROG}
	${INSTALL} -c -o bin -g bin -m 444 nslookup.help ${DESTDIR}${DESTHELP}/

links: FRC
	@set -e; ln -s SRC/*.[chl] SRC/nslookup.help .

tags: FRC
	ctags ${CSRCS} *.h

commands.c: commands.l
	${LEX} -t $< > $@ || rm $@

FRC:

# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.

=== port/openbsd/Makefile ===
# Copyright (c) 1996 by Internet Software Consortium
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
# ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
# CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
# DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
# PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
# ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# $Id: Makefile,v 1.2 1997/06/19 03:22:34 halley Exp $

# these are only appropriate for BSD 4.4 or derivatives, and are used in
# development.  normal builds will be done in the top level directory and
# this Makefile will be invoked with a lot of overrides for the following:
SYSTYPE= bsd
DESTDIR =
DESTLIB = /usr/local/lib
O=o
A=a
CC= cc
LD= ld
SHELL= /bin/sh
CDEBUG= -g
TOP= ../..
INCL = ${TOP}/include
PORTINCL = ${TOP}/port/${SYSTYPE}/include
LIBBIND = ${TOP}/lib/libbind.${A}
CFLAGS=	${CDEBUG} -I${PORTINCL} -I${INCL}
LD_LIBFLAGS= -x -r
AR= ar cruv
RANLIB= ranlib
INSTALL= install

SUBDIRS= include

SRCS=	noop.c

OBJS=	noop.${O}

MARGS= DESTDIR="${DESTDIR}" DESTINC="${DESTINC}" INSTALL="${INSTALL}"

all depend clean distclean install::
	@for x in ${SUBDIRS}; do \
		(cd $$x; pwd; ${MAKE} ${MARGS} $@); \
	done

all:: ${LIBBIND}

${LIBBIND}: ${OBJS}
	${AR} ${LIBBIND} ${ARPREF} ${OBJS} ${ARSUFF}
	${RANLIB} ${LIBBIND}

.c.${O}:
	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}

distclean:: clean

clean:: FRC
	rm -f .depend a.out core tags
	rm -f *.${O} *.BAK *.CKP *~

depend:: FRC
	mkdep -I${INCL} -I${PORTINCL} ${CPPFLAGS} ${SRCS}

links: FRC
	@set -e; ln -s SRC/*.[ch] SRC/bin SRC/Makefile.set SRC/probe .
	@set -e; for x in ${SUBDIRS}; do \
		( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
		cp SRC/Makefile Makefile; chmod +w Makefile; \
		${MAKE} ${MARGS} links ); \
	done

install:: FRC

FRC:

# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.

=== port/sco50/Makefile ===
# Copyright (c) 1996 by Internet Software Consortium
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
# ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
# CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
# DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
# PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
# ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# $Id: Makefile,v 1.4 1997/06/19 03:22:38 halley Exp $

# these are only appropriate for BSD 4.4 or derivatives, and are used in
# development.  normal builds will be done in the top level directory and
# this Makefile will be invoked with a lot of overrides for the following:
SYSTYPE= bsd
DESTDIR =
DESTLIB = /usr/local/lib
O=o
A=a
CC= cc
LD= ld
SHELL= /bin/sh
CDEBUG= -g
TOP= ../..
INCL = ${TOP}/include
PORTINCL = ${TOP}/port/${SYSTYPE}/include
LIBBIND = ${TOP}/lib/libbind.${A}
CFLAGS=	${CDEBUG} -I${PORTINCL} -I${INCL}
LD_LIBFLAGS= -x -r
AR= ar cruv
RANLIB= ranlib
INSTALL= install

SUBDIRS= include

SRCS= getrusage.c

OBJS= getrusage.${O}

MARGS= DESTDIR="${DESTDIR}" DESTINC="${DESTINC}" INSTALL="${INSTALL}"

all depend clean distclean install::
	@for x in ${SUBDIRS}; do \
		(cd $$x; pwd; ${MAKE} ${MARGS} $@); \
	done

all:: ${LIBBIND}

${LIBBIND}: ${OBJS}
	${AR} ${LIBBIND} ${ARPREF} ${OBJS} ${ARSUFF}
	${RANLIB} ${LIBBIND}

.c.${O}:
	${CC} ${CPPFLAGS} ${CFLAGS} -c $*.c
	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} && ${LDS} mv a.out $*.${O}

distclean:: clean

clean:: FRC
	rm -f .depend a.out core tags
	rm -f *.${O} *.BAK *.CKP *~
	rm -f libbind.a libbind.so

depend:: FRC
	mkdep -I${INCL} -I${PORTINCL} ${CPPFLAGS} ${SRCS}

links: FRC
	@set -e; ln -s SRC/*.[ch] SRC/bin SRC/Makefile.set SRC/probe .
	@set -e; for x in ${SUBDIRS}; do \
		( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
		cp SRC/Makefile Makefile; chmod +w Makefile; \
		${MAKE} ${MARGS} links ); \
	done

install:: FRC libbind.a libbind.so
	${INSTALL} -c -m 444 libbind.a ${DESTLIB}/libbind.a
	${INSTALL} -c -m 666 libbind.so ${DESTLIB}/libbind.so

libbind.a libbind.so: tools/libbind.sh ../libport.a ../../lib/libbind.a
	/bin/sh tools/libbind.sh

FRC:

# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.

=== port/sunos/shres/Makefile ===
# $Id: Makefile,v 1.4 1996/11/18 09:10:40 vixie Exp $

CFLAGS=	-O -I../${INCL} -I../${COMPINCL} ${DEFS} ${LOCDEFS}
LOCDEFS= -DUSE_OPTIONS_H

OBJS=	herror.o res_debug.o res_data.o \
	res_comp.o res_init.o res_mkquery.o res_query.o res_send.o \
	getnetbyaddr.o getnetbyname.o getnetent.o getnetnamadr.o \
	gethnamaddr.o sethostent.o nsap_addr.o \
	inet_addr.o strerror.o

all: libresolv_pic.a

${OBJS}:
	${SHCC} ${CFLAGS} ${PIC} -c $? -o $@

distclean: clean

clean: FRC
	rm -f errs a.out core libresolv_pic.a tags *.o *.BAK *.CKP *~ *.orig

depend: 
	@echo No dependancies in `pwd`

install:
	@echo '***  shres is *NOT* installed by make install  ***'
	@echo '*** Read shres/sunos/INSTALL for directions ***'

FRC:

libresolv_pic.a: ${OBJS}
	ar cru libresolv_pic.a ${OBJS}
	$(RANLIB) libresolv_pic.a

herror.o: ../../res/herror.c
res_comp.o: ../../res/res_comp.c
res_data.o: ../../res/res_data.c
res_debug.o: ../../res/res_debug.c
res_init.o: ../../res/res_init.c
res_mkquery.o: ../../res/res_mkquery.c
res_query.o: ../../res/res_query.c
res_send.o: ../../res/res_send.c
getnetbyaddr.o: ../../res/getnetbyaddr.c
getnetbyname.o: ../../res/getnetbyname.c
getnetent.o: ../../res/getnetent.c
getnetnamadr.o: ../../res/getnetnamadr.c
gethnamaddr.o: ../../res/gethnamaddr.c
sethostent.o: ../../res/sethostent.c
nsap_addr.o: ../../res/nsap_addr.c
inet_addr.o: ../../res/inet_addr.c
strerror.o: ../../compat/lib/strerror.c

=== debian/changelog ===
bind (8.1.2-0.bo1) bo-unstable; urgency=high

  * security fix for bo

 -- Gergely Madarasz <gorgo@caesar.elte.hu>  Fri, 10 Apr 1998 18:09:24 +0200

bind (1:8.1.2-1) frozen unstable; urgency=high

  * New upstream version T3B: "fix a stack overrun that could occur if
    inverse query support was enabled, and a number of denial of service
    attacks where malformed packets could cause the server to crash."
  * The ndc command now gets no complaints from the new "ps" (#20299).
  * No longer includes pages duplicated in manpages-*-dev (#18095).
  * Now includes /etc/ppp up/down support contributed by "aph" (#19118,
    #19132).
  * Updated to Standards-Version 2.4.0.0 (additional init.d commands).
  * Closes #15687, as invocation of sed in bindconfig is fixed.
  * Added SHELL=/bin/bash to rules file.
  * Lintian clean.

 -- Johnie Ingram <johnie@debian.org>  Wed,  8 Apr 1998 22:45:41 -0400

bind (1:8.1.1-8) unstable; urgency=low

  * Added rblcheck to the dnsutils package, which allows the Realtime
    Blackhole List to be used for spam control in procmail rules.
  * Closed #15687 (sed bug, cf. 13913, 14146, 14889).

 -- Johnie Ingram <johnie@debian.org>  Tue, 20 Jan 1998 23:23:05 -0500

bind (1:8.1.1-7) unstable; urgency=low, closes=15325 15744 15991 16396

  * Updated named.root file from InterNIC (#15744).
  * Install script is now compatible with kernel flavors (#16396).
  * Closed Bugs #15991 and #15325.

 -- Johnie Ingram <johnie@debian.org>  Thu,  1 Jan 1998 00:25:47 -0500

bind (1:8.1.1-6) unstable; urgency=low, closes=15325 15991

  * Corrected package md5sum error (#15991).
  * Closed #15325 (binaries not stripped).

 -- Johnie Ingram <johnie@debian.org>  Wed, 17 Dec 1997 23:28:55 -0500

bind (1:8.1.1-5) unstable; urgency=low, closes=13913 14146 14889 14562 14893 15169

  * Fixed sed coredump problem in bindconfig (#13913, #14146, #14889).
  * Stripped binaries in dnsutils package (#14562, #14893).
  * Applied bashconfig posixification patch from Herbert Xu (#15169).

 -- Johnie Ingram <johnie@debian.org>  Sat,  6 Dec 1997 21:33:04 -0500

bind (1:8.1.1-4) unstable; urgency=low

  * Now builds named.boot before named.conf, a problem which caused it to
    fail on new installations.
  * Now more verbose when /etc/named.boot file to /var/named; resulting
    file is no longer hidden (5726).
  * Restored changelog.Debian.gz file in bind package.
  * Packaging redone to use pristine source tar archive, and tweaked for
    multiple architecture support.
  * Closed #12462, lack of /etc/init.d/bind, fixed in 8.1.1-3.
  * Updated to Standards-Version 2.3.0.0.

 -- Johnie Ingram <johnie@debian.org>  Tue,  9 Sep 1997 23:20:09 -0400

bind (1:8.1.1-3) unstable; urgency=low

  * Restored the /etc/init.d/bind.

 -- Johnie Ingram <johnie@debian.org>  Tue,  5 Aug 1997 14:58:49 +0000

bind (1:8.1.1-2) unstable; urgency=low

  * The dnsutils package now includes nslookup and dig (#4222, #4939,
    #9229, #10476, #10477, and the recommendation of Shaya Potter), now
    uses the correct name for the upstream changelog (#9614), and is
    created from the bind-src source (requiring a new epoch).
  * Closed Bug #10983, typo in init script, fixed by 8.1.1-1 and 4.9.6-1.
  * Made bindconfig a bash script rather than a shell script (#11396).
  * Location of /usr/lib/nslookup.help corrected in manpage (#9757).
  * Corrected spelling of the word "Stopping" in init script (#11515), and
    regularized capitalization.
  * The nslookup program (being now from the bind source) has a man
    page and no longer behaves oddly (#6708), plus the help page is
    installed (#10903).
  * Closed #10529, "bind is vulnerable", since both the new 4.9.6 and
    8.1.1 address this injection issue.
  * Added PGP-signed file checksums.

 -- Johnie Ingram <johnie@debian.org>  Wed, 30 Jul 1997 02:14:48 -0400

bind (4.9.6-1) stable; urgency=medium
  
    * Security release.
  
   -- Johnie Ingram <johnie@debian.org>  Sat, 19 Jul 1997 16:59:03 -0400
  

bind (8.1.1-1) unstable; urgency=low

  * New upstream version.
  * New maintainer.
  * Updated to Standards-Version 2.1.3.3.

 -- Johnie Ingram <johnie@debian.org>  Thu, 17 Jul 1997 13:49:30 -0400

bind (4.9.5-1.4) frozen unstable; urgency=low

  * Fix ndc script (Bug #9167,#9036) thanx to <phil@hands.com>'s patch.

 -- Vincent Renardias <vincent@waw.com>  Mon, 28 Apr 1997 20:29:51 +0200

bind (4.9.5-1.3) frozen unstable; urgency=low

  * Re-Upload into the 'frozen' distribution.

 -- Vincent Renardias <vincent@waw.com>  Mon, 21 Apr 1997 12:41:31 +0200 

bind (4.9.5-1.2) unstable; urgency=low

  * Fixed ungracefull message printed by flex scanner when ctrl-C is
    pressed in a nslookup session (Fixes Bug #3966).

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Apr 1997 22:22:04 +0200

bind (4.9.5-1.1) frozen unstable; urgency=low

  * Converted to new source format.
  * Put documentation into /usr/doc/bind instead of /usr/doc/net/bind.
  * Compress man pages (Bug #6289).
  * Corrected dnsquery manpage (Bug #6659).
  * Corrected postinst. (Bugs #7230, #7459, #7906, #8193, #8581, #8582, 
    #8608, #8825).
  * Applied fix to prevent denial of service attack (Bug #8868).
  * Corrected /etc/init.d/bind massages (Bug #8502).
  * Updated named.root file (should fix Bug #8654 and #8655).
  * Debianized '/usr/sbin/ndc' script (Bug #3505).
  * Tuned compile options.

 -- Vincent Renardias <vincent@waw.com>  Sat, 19 Apr 1997 15:33:45 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "johnie@debian.org"
End:

=== debian/control ===
Source: bind
Section: net
Priority: extra
Maintainer: Johnie Ingram <johnie@debian.org>
Standards-Version: 2.4.0.0

Package: bind
Section: net
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, netbase
Suggests: bind-doc
Recommends: dnsutils
Replaces: netstd (<<2.00)
Description: An Internet domain name server
 The Berkeley Internet Name Domain (BIND) implements an
 Internet name server for Unix operating systems.  The BIND
 consists of a server (or `daemon') called `named' and a
 resolver library.  A name server is a network service that
 enables clients to name resources or objects and share this
 information with other objects in the network.  This in
 effect is a distributed data base system for objects in a
 computer network.  The BIND server runs in the background,
 servicing queries on a well known network port.

Package: dnsutils
Section: net
Priority: standard
Depends: ${shlibs:Depends}
Architecture: any
Conflicts: netstd (<<2.00)
Description: Utilities for querying the DNS
 This package includes the "nslookup", "dig", and "host" programs
 for querying information from the Domain Name System (DNS).  It
 also includes several short aliases (mx, ns, soa, zone, aaaa)
 for querying specific information.

=== debian/rules ===
#!/usr/bin/make -f

# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter
# <clameter@debian.org>

package=bind
version=$(shell expr `pwd` : '.*-\([0-9.].*\)')
version_main=$(shell expr `pwd` : '.*-\([0-9]*.[0-9.]*\)')
include OLD/BSD/Makefile.maninc
moresed = -e s@/usr/share/misc/nslookup@/usr/lib/nslookup@g
rblcheck=rblcheck-1.0

SHELL=/bin/bash

build: stamp-build

stamp-build:
	$(checkdir)
	-$(MAKE) DST=target SRC=$$(pwd) links
	cp -avf port/linux/include/sys/* target/port/linux/include/sys
	touch target/port/linux/include/nlist.h
	cd target; $(MAKE) CC="$(CC) -I/usr/include/libelf" CDEBUG=""
	cd host; $(MAKE) CC="$(CC)" COPTS="-O2"
	cd $(rblcheck); $(MAKE) CC="$(CC)"
	install -d debian/tmp/usr/man/man{1,8}
	touch stamp-build


stamp-man:
	install -d debian/tmp/usr/man/man{1,3,5,7,8}
	for file in debian/{dig,dnsquery}.1 debian/{*.3,*.5,*.7,*.8}; do \
	    base=$$(basename $$file); \
	    ext=$$(echo $$file | sed -e "s/.*\(.\)$$/\1/"); \
	    ( $(EXT_SED_CMD) $(moresed) ) < $$file \
		> debian/tmp/usr/man/man$$ext/$${base}bind; \
	done;
	touch stamp-man


clean:
	$(checkdir)
	$(MAKE) clean
	cd host; $(MAKE) clean
	cd $(rblcheck); $(MAKE) clean
	rm -rf $$(find . -name "*~") $$(find debian/* -type d) stamp-*
	rm -rf target debian/files* target debian/*substvars* pgptemp*
	find .. -name $(package)*.asc -size 0 -maxdepth 1 -exec rm {} ";"
	chmod +x debian/{pre*,post*,bindconfig,dnsutils.p*,init.d,ppp.d}


binary-indep:	checkroot stamp-build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.


dnsutils: stamp-build stamp-man
	$(checkdir)
	rm -rf debian/dnsutils && install -d debian/dnsutils/{DEBIAN,usr/bin}
	install -d debian/dnsutils/usr/{lib,doc/dnsutils,man/man{1,8}}
	install debian/dnsutils.preinst debian/dnsutils/DEBIAN/preinst
	install debian/dnsutils.postrm debian/dnsutils/DEBIAN/postrm
	cp host/RELEASE_NOTES debian/dnsutils/usr/doc/dnsutils/changelog
	cp debian/changelog debian/dnsutils/usr/doc/dnsutils/changelog.Debian
	install host/host debian/dnsutils/usr/bin/host
	cd debian/dnsutils; cat ../hosts | xargs -t -i sh -c \
		"ln -s host usr/bin/{}"
	cp host/host.1 debian/dnsutils/usr/man/man1/host.1
	cp debian/tmp/usr/man/man1/dig.1bind \
		debian/dnsutils/usr/man/man1/dig.1
	cp debian/tmp/usr/man/man8/nslookup.8bind \
		debian/dnsutils/usr/man/man8/nslookup.8
	ln -s ../man7/undocumented.7.gz \
		debian/dnsutils/usr/man/man1/mxlookup.1.gz
	ln -s ../man7/undocumented.7.gz \
		debian/dnsutils/usr/man/man1/rblcheck.1.gz
	ln -s ../man7/undocumented.7.gz \
		debian/dnsutils/usr/man/man1/addr.1.gz
	cd debian/dnsutils; cat ../hosts | xargs -t -i sh -c \
		"ln -s host.1.gz usr/man/man1/{}.1.gz"
	install target/bin/addr/addr debian/dnsutils/usr/bin
	install target/bin/dig/dig debian/dnsutils/usr/bin
	install target/bin/nslookup/nslookup debian/dnsutils/usr/bin
	install host/mxlookup debian/dnsutils/usr/bin/mxlookup
	install $(rblcheck)/rblcheck debian/dnsutils/usr/bin/rblcheck
	cp $(rblcheck)/README \
		debian/dnsutils/usr/doc/dnsutils/README.rblcheck
	cp $(rblcheck)/INSTALL \
		debian/dnsutils/usr/doc/dnsutils/INSTALL.rblcheck
	cp bin/nslookup/nslookup.help debian/dnsutils/usr/lib/nslookup.help
	gzip -v9 debian/dnsutils/usr/{doc/dnsutils/*,man/*/*{1,8}}
	cp debian/copyright debian/dnsutils/usr/doc/dnsutils
	dh_shlibdeps -pdnsutils -Pdebian/dnsutils -v
	dpkg-gencontrol -pdnsutils -Pdebian/dnsutils
	dh_strip -v -pdnsutils -Pdebian/dnsutils
	chown -R root.root debian/dnsutils
	chmod -R go=rX debian/dnsutils
	dpkg --build debian/dnsutils ..
 

bind: stamp-build stamp-man
	$(checkdir)
	rm -rf debian/bind && install -d debian/bind/{DEBIAN,usr/{bin,sbin}}
	install -d debian/bind/{/usr/{lib,doc/bind,man/man{1,8}},var/named}
	install -d debian/bind/etc/{ppp/ip-up.d,ppp/ip-down.d,init.d}
	cp -p debian/{pre*,post*,conffiles} debian/bind/DEBIAN
	install debian/init.d debian/bind/etc/init.d/bind
	cp debian/changelog debian/bind/usr/doc/bind/changelog.Debian
	cp CHANGES debian/bind/usr/doc/bind/changelog
	cp INSTALL debian/bind/usr/doc/bind
	install debian/ppp.d debian/bind/etc/ppp/ip-up.d/bind
	install debian/ppp.d debian/bind/etc/ppp/ip-down.d/bind
	install -d debian/bind/usr/{lib,doc/bind,man/man{1,8}}
	install debian/{bindconfig,named-bootconf} debian/bind/usr/sbin
	install target/bin/named/named debian/bind/usr/sbin
	install target/bin/named-xfer/named-xfer debian/bind/usr/sbin
	sed "s/ps -p/ps p/g" target/bin/ndc/ndc > debian/bind/usr/sbin/ndc \
	    && chmod 755 debian/bind/usr/sbin/ndc
	install target/bin/nsupdate/nsupdate debian/bind/usr/sbin
	install target/bin/dnsquery/dnsquery debian/bind/usr/bin
	cp -a debian/tmp/usr/man debian/bind/usr
	rm -r debian/bind/usr/man/man3
	ln -s ../man7/undocumented.7.gz \
		debian/bind/usr/man/man8/named-bootconf.8bind.gz
	ln -s ../man7/undocumented.7.gz \
		debian/bind/usr/man/man8/bindconfig.8bind.gz
	ln -s ../man7/undocumented.7.gz \
		debian/bind/usr/man/man8/nsupdate.8bind.gz
	ln -s ../man7/undocumented.7.gz \
		debian/bind/usr/man/man8/named-bootconf.pl.8bind.gz
	rm debian/bind/usr/man/man{1/dig.1bind,8/nslookup.8bind}
	gzip -v9 debian/bind/usr/{doc/bind/*,man/*/*bind}
	cp debian/copyright debian/bind/usr/doc/bind
	cp README TODO debian/bind/usr/doc/bind
	cp bin/named/named-bootconf.pl debian/bind/usr/sbin
	cp debian/named.{l*,r*} debian/bind/var/named
	dh_shlibdeps -pbind -Pdebian/bind -v
	dpkg-gencontrol -pbind -Pdebian/bind
	dh_strip -v -pbind -Pdebian/bind
	$(MAKE) -f debian/rules buildinfo
	chown -R root.root debian/bind
	chmod -R go=rX debian/bind
	dpkg --build debian/bind ..


buildinfo:
	@echo; dpkg -l gcc "libc*" binutils ldso make dpkg-dev $(BUILDINFO) \
		| awk '$$1 == "ii" { printf("%s-%s\n", $$2, $$3) }' \
		| tee debian/bind/usr/doc/$(package)/buildinfo.Debian; echo
	cd debian/bind && md5sum $$(find * -type f -not -regex "DEBIAN/.*") \
		> DEBIAN/md5sums
	-cd debian/bind && pgp -sat +clearsig=on DEBIAN/md5sums -o files.sig \
		&& mv -v files.sig usr/doc/$(package)/checksums.txt
	rm -f debian/bind/files.sig
	cd debian/bind && md5sum $$(find * -type f -not -regex "DEBIAN/.*") \
		> DEBIAN/md5sums


 
binary-arch: checkroot dnsutils bind


define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: build binary binary-arch binary-indep clean checkroot

## bind 8.2.2p5

=== rblcheck-1.4/Makefile ===
# rblcheck Makefile.
#
# $Id: Makefile,v 1.7 1998/08/20 05:47:03 emarshal Exp $
#
# $Log: Makefile,v $
# Revision 1.7  1998/08/20 05:47:03  emarshal
# Some final cleanups. Bumped version to 1.4.
#
# Revision 1.6  1998/08/15 22:27:27  emarshal
# Fixed some formatting issues with combinations of -q and -t.
#
# Revision 1.5  1998/08/15 22:09:34  emarshal
# Many changes, most involving support for multiple RBL-alike services.
# Bumped revision to 1.3.
#
# Revision 1.4  1998/01/28 22:11:31  emarshal
# More portability stuff, and upgrade to version 1.2.
#
# Revision 1.3  1998/01/28 21:32:15  emarshal
# Fixes for compilation on ANSI-unfriendly systems (SunOS) and a Makefile
# change for HP/UX 10.x.
#
# Revision 1.2  1998/01/23 22:05:26  emarshal
# Some quick changes.
#
# Revision 1.1.1.1  1998/01/09 20:42:50  emarshal
# Initial import into CVS.
#

# Where do you want to install rblcheck?
PREFIX=/usr/local/bin

# Do you need the resolver library? If you get some errors about
# missing symbols, uncomment this. Linux/glibc and Solaris definitely
# need this. Alternatively, it might be called "libbind" on your
# system.
#LDLIBS=-lresolv
#LDLIBS=-lbind

# Generic GCC. This is probably your best bet on most systems, but see
# below for an entry for your system.
CC=gcc
CFLAGS=-O -Wall
LDFLAGS=-s

# Solaris w/Sun cc
#CC=cc
#CFLAGS=-O
#LDFLAGS=-s

# SunOS w/Sun cc
#CC=cc
#CFLAGS=-O
#LDFLAGS=-n -Bdynamic

# HP 10.x
#CC=cc
#CFLAGS=-O -Ae -D_XOPEN_SOURCE_EXTENDED
#LDFLAGS=-s

all: rblcheck

install:
	-[ -f ${PREFIX}/rblcheck ] && \
		mv ${PREFIX}/rblcheck ${PREFIX}/rblcheck.old
	-cp rblcheck ${PREFIX}

clean:
	-rm rblcheck

=== src/lib/Makefile ===
# Copyright (c) 1996,1999 by Internet Software Consortium
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
# ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
# CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
# DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
# PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
# ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# $Id: Makefile,v 8.22 1999/06/08 01:42:57 vixie Exp $

SUBDIRS = resolv irs isc bsd inet nameser dst

# these are only appropriate for BSD 4.4 or derivatives, and are used in
# development.  normal builds will be done in the top level directory and
# this Makefile will be invoked with a lot of overrides for the following:
SYSTYPE= bsdos
SHELL= /bin/sh
O=o
A=a
DESTDIR=
DESTINC= /usr/local/bind/include
DESTLIB= /usr/local/bind/lib
TOP= ..
INCL= ${TOP}/include
PORTINCL= ${TOP}/port/${SYSTYPE}/include
LIBBIND= ${TOP}/lib/libbind.${A}
LIBBINDR= ${TOP}/lib/libbind_r.${A}
LIBPORT= ${TOP}/port/libport.${A}
RANLIB= ranlib
AR= ar cru
INSTALL= install
CDEBUG= -g
REENTRANT=-D_REENTRANT
INSTALL_EXEC=
INSTALL_LIB=-o bin -g bin

# Warning: this MARGS has RANLIB=: to prevent submakes from running ranlib
MARGS =	"SYSTYPE=${SYSTYPE}" "SHELL=${SHELL}" "A=${A}" "O=${O}" \
	"CC=${CC}" "LEX=${LEX}" "YACC=${YACC}" "CDEBUG=${CDEBUG}" \
	"SYSLIBS=${SYSLIBS}" "LDFLAGS=${LDFLAGS}" \
	"DESTDIR=${DESTDIR}" "DESTMAN=${DESTMAN}" \
	"DESTBIN=${DESTBIN}" "DESTSBIN=${DESTSBIN}" "DESTEXEC=${DESTEXEC}" \
	"DESTLIB=${DESTLIB}" "DESTINC=${DESTINC}" "DESTHELP=${DESTHELP}" \
	"RANLIB=:" "AR=${AR}" "ARPREF=${ARPREF}" "ARSUFF=${ARSUFF}" \
	"INCL=../${INCL}" "PORTINCL=../${PORTINCL}" "EXE=${EXE}" \
	"LIBBIND=../${LIBBIND}" "LIBPORT=../${LIBPORT}" \
	"INSTALL=${INSTALL}" "CPPFLAGS=${CPPFLAGS}" "TOP=../${TOP}" \
	"REENTRANT=${REENTRANT}" "INSTALL_LIB=${INSTALL_LIB}" \
	"INSTALL_EXEC=${INSTALL_EXEC}" "BOUNDS=${BOUNDS}"

LIB = libbind.${A}
LIBTS = ${TOP}/lib/libbind.ts
LIBR = libbind_r.${A}
LIBRTS = ${TOP}/lib/libbindr.ts

all depend clean install distclean::
	@for x in ${SUBDIRS}; do \
		(cd $$x; pwd; ${MAKE} ${MARGS} $@); \
	done

all:: ${LIBTS} ${LIBRTS}

${LIBRTS}: ${LIBBINDR}
	${RANLIB} ${LIBBINDR}
	sleep 1 && touch ${LIBRTS}

${LIBTS}: ${LIBBIND}
	${RANLIB} ${LIBBIND}
	sleep 1 && touch ${LIBTS}

distclean:: clean

clean:: FRC
	rm -f *~ *.BAK *.CKP *.orig
	rm -f ${LIBBIND} ${LIBTS}
	rm -f ${LIBBINDR} ${LIBRTS}

install:: ${DESTDIR}${DESTLIB} ${DESTDIR}${DESTLIB}/${LIB}
install:: ${DESTDIR}${DESTLIB} ${DESTDIR}${DESTLIB}/${LIBR}

${DESTDIR}${DESTLIB}:
	mkdir -p ${DESTDIR}${DESTLIB}

${DESTDIR}${DESTLIB}/${LIBR}: ${LIBBINDR}
	${INSTALL} -c ${INSTALL_LIB} -m 644 ${LIBBINDR} \
		${DESTDIR}${DESTLIB}/${LIBR}
	( cd ${DESTDIR}${DESTLIB} ; ${RANLIB} ${LIBR} )

${DESTDIR}${DESTLIB}/${LIB}: ${LIBBIND}
	${INSTALL} -c ${INSTALL_LIB} -m 644 ${LIBBIND} \
		${DESTDIR}${DESTLIB}/${LIB}
	( cd ${DESTDIR}${DESTLIB} ; ${RANLIB} ${LIB} )

links:: FRC
	@set -e; for x in ${SUBDIRS}; do \
		( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
		  cp SRC/Makefile Makefile; chmod +w Makefile; \
		  ${MAKE} ${MARGS} links; \
		); \
	done

FRC:

=== rblcheck-1.4/utils/dns/Makefile ===
# DNS Utilities Makefile.
#
# $Id: Makefile,v 1.1 1998/01/27 02:10:33 emarshal Exp $
#
# $Log: Makefile,v $
# Revision 1.1  1998/01/27 02:10:33  emarshal
# Added dump.c, a quick utility for dumping an RR (sort of);
# suitable for hexdumping.
#

# Linux/glibc, Solaris
#CC=cc
#CFLAGS=-O
#LDFLAGS=-s -lresolv

# Linux/libc5, NeXT
CC=cc
CFLAGS=-g -Wall
LDFLAGS=-s

all: dump

clean:
	-rm dump

=== rblcheck-1.4/utils/qmail/Makefile ===
# Makefile for origip.
#
# $Id: Makefile,v 1.1.1.1 1998/01/09 20:42:50 emarshal Exp $
#
# $Log: Makefile,v $
# Revision 1.1.1.1  1998/01/09 20:42:50  emarshal
# Initial import into CVS.
#

CC=gcc
CFLAGS=-O2
LDFLAGS=-s

all: origip

clean:
	-rm origip

test:
	@echo "Testing 'origip'..."
	./test_origip.sh
	@echo "Testing 'rblcheck'..."
	./test_rblcheck.sh

=== src/lib/dst/Makefile ===
# Copyright (c) 1996,1999 by Internet Software Consortium
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND INTERNET SOFTWARE CONSORTIUM DISCLAIMS
# ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES
# OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL INTERNET SOFTWARE
# CONSORTIUM BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL
# DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
# PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS
# ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
# SOFTWARE.

# $Id: Makefile,v 1.13 1999/03/07 09:33:47 vixie Exp $

# these are only appropriate for BSD 4.4 or derivatives, and are used in
# development.  normal builds will be done in the top level directory and
# this Makefile will be invoked with a lot of overrides for the following:
SYSTYPE= bsdos
DESTDIR =
DESTLIB = /usr/local/lib
O=o
A=a
CC= cc
LD= ld
SHELL= /bin/sh
CDEBUG= -g
TOP= ../..
INCL = ${TOP}/include
PORTINCL = ${TOP}/port/${SYSTYPE}/include
LIBBIND = ${TOP}/lib/libbind.${A}
LIBBINDR = ../${TOP}/lib/libbind_r.${A}
CFLAGS=	${CDEBUG} -I${PORTINCL} -I${INCL}
LD_LIBFLAGS= -x -r
AR= ar cru
RANLIB= ranlib
INSTALL= install
INSTALL_EXEC=
INSTALL_LIB=-o bin -g bin
THREADED= threaded

HDRS=   md5.h md5_locl.h 

SRCS=	dst_api.c prandom.c rsaref_link.c support.c bsafe_link.c \
	cylink_link.c hmac_link.c md5_dgst.c eay_dss_link.c

OBJS=	dst_api.${O} prandom.${O} rsaref_link.${O} support.${O} \
	bsafe_link.${O} cylink_link.${O} hmac_link.${O} md5_dgst.${O} \
	eay_dss_link.${O}

CRYPTINCL=	 
CRYPTFLAGS=	 -DHMAC_MD5 -DUSE_MD5 

all: ${LIBBIND}

${LIBBIND}: ${OBJS}
	( cd ${THREADED} ; \
	${AR} ${LIBBINDR} ${ARPREF} ${OBJS} ${ARSUFF} ; \
	${RANLIB} ${LIBBINDR} )
	${AR} ${LIBBIND} ${ARPREF} ${OBJS} ${ARSUFF}
	${RANLIB} ${LIBBIND}

.c.${O}:
	if test ! -d ${THREADED} ; then mkdir ${THREADED} ; fi
	${CC} ${CPPFLAGS} ${CFLAGS} ${BOUNDS} ${REENTRANT} ${CRYPTINCL} ${CRYPTFLAGS} -c $*.c -o ${THREADED}/$*.${O}
	-${LDS} ${LD} ${LD_LIBFLAGS} ${THREADED}/$*.${O} -o a.out && \
	 ${LDS} mv a.out ${THREADED}/$*.${O}
	${CC} ${CPPFLAGS} ${CFLAGS} ${CRYPTINCL} ${CRYPTFLAGS} -c $*.c
	-${LDS} ${LD} ${LD_LIBFLAGS} $*.${O} -o a.out && \
	 ${LDS} mv a.out $*.${O}

$(SRCS):: $(HDRS)

distclean: clean

clean: FRC
	rm -f .depend a.out core ${LIB} tags
	rm -f *.${O} *.BAK *.CKP *~
	rm -f prand_conf.h
	rm -f ${THREADED}/*.${O}
	-rmdir ${THREADED}

depend: FRC
	mkdep -I${INCL} -I${PORTINCL} ${CPPFLAGS} ${SRCS}

links: FRC
	@set -e; ln -s SRC/*.[ch] SRC/*.pl .

install:

FRC:

# DO NOT DELETE THIS LINE -- mkdep uses it.
# DO NOT PUT ANYTHING AFTER THIS LINE, IT WILL GO AWAY.
